// simple.frag

#version 130
#extension GL_EXT_gpu_shader4 : enable

uniform sampler2D textureImage;
uniform int textureMode;

void main (void)
{
    vec4 texColor = vec4(1.0,1.0,1.0,1.0); 
    if (textureMode == 1)
	texColor = texture2D(textureImage, gl_TexCoord[0].st);

    float alpha = gl_FrontLightProduct[0].ambient[3] * texColor[3];
    if (alpha > 1.0) alpha = 1.0;
    
    gl_FragColor = texColor;
    gl_FragColor[3] = alpha;
}   
